org.apache.olingo.ext.pojogen

## Class NavPropertyBindingDetails

- java.lang.Object
- - org.apache.olingo.ext.pojogen.NavPropertyBindingDetails

- Direct Known Subclasses:
    NavPropertyContainsTarget

      public class NavPropertyBindingDetails
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EdmEntityContainer` | `container`
    `protected Edm` | `edm`
    `protected EdmBindingTarget` | `entitySet`
    `protected EdmSchema` | `schema`
    `protected EdmStructuredType` | `type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NavPropertyBindingDetails()`
    `` | `NavPropertyBindingDetails(Edm edm, EdmStructuredType type)`
    `` | `NavPropertyBindingDetails(Edm edm, EdmStructuredType sourceType, EdmNavigationProperty property)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmEntityContainer` | `getContainer()`
    `EdmBindingTarget` | `getEntitySet()`
    `EdmSchema` | `getSchema()`
    `EdmStructuredType` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### edm

          protected Edm edm

    - #### schema

          protected EdmSchema schema

    - #### container

          protected EdmEntityContainer container

    - #### entitySet

          protected EdmBindingTarget entitySet

    - #### type

          protected EdmStructuredType type

  - ### Constructor Detail

    - #### NavPropertyBindingDetails

          protected NavPropertyBindingDetails()

    - #### NavPropertyBindingDetails

          public NavPropertyBindingDetails(Edm edm,
                                           EdmStructuredType type)

    - #### NavPropertyBindingDetails

          public NavPropertyBindingDetails(Edm edm,
                                           EdmStructuredType sourceType,
                                           EdmNavigationProperty property)

  - ### Method Detail

    - #### getSchema

          public EdmSchema getSchema()

    - #### getContainer

          public EdmEntityContainer getContainer()

    - #### getEntitySet

          public EdmBindingTarget getEntitySet()

    - #### getType

          public EdmStructuredType getType()

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.